> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get slots

> Fetches the list of a doctor available consultation slots.



## OpenAPI

````yaml get /abdm/uhi/v1/physical-consultation/search/doctors/slots
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/search/doctors/slots:
    get:
      description: Fetches the list of a doctor available consultation slots.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - in: query
          name: txn_id
          schema:
            type: string
        - description: Unique Identifier of a Provider in the system.
          in: query
          name: provider_id
          schema:
            description: Unique Identifier of a Provider in the system.
            type: string
        - description: Unique Identifier of any booking.
          in: query
          name: order_id
          schema:
            description: Unique Identifier of any booking.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsSlotsData'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsSlotsData:
      properties:
        doctor:
          $ref: '#/components/schemas/ModelsDoctorInfo'
          description: Information about the doctor offering the slots
        provider_info:
          $ref: '#/components/schemas/ModelsProviderInfo'
          description: Information about the healthcare provider or facility
        slots:
          description: List of available slots for the doctor
          items:
            $ref: '#/components/schemas/ModelsSlotDetail'
          type: array
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelsDoctorInfo:
      properties:
        education:
          description: Educational qualifications of the doctor
          type: string
        experience:
          description: Years of experience of doctor.
          type: string
        gender:
          description: Gender of the doctor (e.g., Male, Female, Other)
          type: string
        id:
          description: Unique identifier of the doctor
          type: string
        languages:
          description: Languages spoken by the doctor
          items:
            type: string
          type: array
        name:
          description: Full name of the doctor
          type: string
      type: object
    ModelsProviderInfo:
      properties:
        address:
          description: Full address of the healthcare provider or facility
          type: string
        city:
          description: City where the provider or facility is located
          type: string
        id:
          description: Unique identifier of the healthcare provider or facility
          type: string
        name:
          description: Name of the healthcare provider or facility
          type: string
        phone:
          description: Contact phone number of the provider or facility
          type: string
      type: object
    ModelsSlotDetail:
      properties:
        currency:
          description: Currency code in ISO 4217 format (e.g., INR, USD)
          type: string
        date:
          description: Date of the slot (YYYY-MM-DD format)
          type: string
        end_time:
          description: End time of the slot
          type: string
        id:
          description: Unique identifier for the slot
          type: string
        price:
          description: Price of the consultation in specified currency
          type: string
        start_time:
          description: Start time of the slot
          type: string
        type:
          description: Type of consultation (e.g., Physical, Video, Telephonic)
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````